Subject: [quicwg/base-drafts] Reference to static table entry cannot use relative index (#1538)

From: Dmitri Tikhonov <[email-masked]>
Date: Sat, 07 Jul 2018 19:18:59 -0700

QPACK [Section 5.2.1](https://tools.ietf.org/html/draft-ietf-quic-qpack-01#section-5.2.1) states:

> The S bit indicates whether the reference is to the static (S=1) or dynamic (S=0) table. The header field name is represented using the relative index of that entry, which is represented as an integer with a 6-bit prefix (see Section 5.1 of [RFC7541]).

Relative indexes are defined in Section 2.2.1 only in the context of the dynamic table.  The wording above is not clear how relative indexes are to be used with the static table.

Is the intent here to say that when S=0, relative index is used and when S=1, the index is the static entry's index?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1538

---

From: afrind <[email-masked]>
Date: Tue, 10 Jul 2018 11:27:40 -0700

> Is the intent here to say that when S=0, relative index is used and when S=1, the index is the static entry's index?

Yes, that's the intent.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1538#issuecomment-403921392

---

From: Dmitri Tikhonov <[email-masked]>
Date: Tue, 10 Jul 2018 11:49:05 -0700

Closed #1538.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1538#event-1726286680

---

From: Dmitri Tikhonov <[email-masked]>
Date: Tue, 10 Jul 2018 11:49:05 -0700

Fixed now that PR #1543 has been merged.  Closing.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1538#issuecomment-403927858